Notification handlers
GET https://app.jog690.link/api/notification-handlers/
curl --request GET \
--url 'https://app.jog690.link/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://app.jog690.link/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| search | Facoltativo Stringa | La stringa di ricerca |
| search_by | Facoltativo Stringa | In quale campo stai cercando. I valori consentiti sono: name |
| is_enabled | Facoltativo Booleano | |
| type | Facoltativo Stringa | In quale campo stai cercando. I valori consentiti sono: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, ntfy, internal_notification |
| datetime_field | Facoltativo Stringa | Valori consentiti: datetime, last_datetime |
| datetime_start | Facoltativo Stringa | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Facoltativo Stringa | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Facoltativo Stringa | Campo per ordinare i risultati. Valori consentiti: notification_handler_id, datetime, last_datetime, name |
| order_type | Facoltativo Stringa | L'ordinamento dei risultati. I valori consentiti sono: ASC per un ordinamento ascendente e DESC per un ordinamento discendente |
| search | Facoltativo Stringa | La stringa di ricerca |
| search_by | Facoltativo Stringa | In quale campo stai cercando. I valori consentiti sono: name |
| is_enabled | Facoltativo Booleano | |
| type | Facoltativo Stringa | In quale campo stai cercando. I valori consentiti sono: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, ntfy, internal_notification |
| datetime_field | Facoltativo Stringa | Valori consentiti: datetime, last_datetime |
| datetime_start | Facoltativo Stringa | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Facoltativo Stringa | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Facoltativo Stringa | Campo per ordinare i risultati. Valori consentiti: notification_handler_id, datetime, last_datetime, name |
| order_type | Facoltativo Stringa | L'ordinamento dei risultati. I valori consentiti sono: ASC per un ordinamento ascendente e DESC per un ordinamento discendente |
| page | Facoltativo Intero | Il numero di pagina dal quale desideri ottenere i risultati. Il valore predefinito è 1 |
| results_per_page | Facoltativo Intero | Quanti risultati desideri per pagina. I valori consentiti sono: 10, 25, 50, 100, 250, 500, 1000. Il valore predefinito è 25 |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-11-03 20:53:56"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://app.jog690.link/api/notification-handlers?page=1",
"last": "https://app.jog690.link/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://app.jog690.link/api/notification-handlers?page=1"
}
}
GET https://app.jog690.link/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://app.jog690.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://app.jog690.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-11-03 20:53:56"
}
}
POST https://app.jog690.link/api/notification-handlers
| Parametri | Dettagli | Descrizione |
|---|---|---|
| name | Richiesto Stringa | - |
| type | Richiesto Stringa | Valori consentiti: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, ntfy, internal_notification |
| Facoltativo Stringa | Available when: type = email Email | |
| webhook | Facoltativo Stringa | Available when: type = webhook Webhook URL |
| slack | Facoltativo Stringa | Available when: type = slack Slack webhook URL |
| discord | Facoltativo Stringa | Available when: type = discord Discord webhook URL |
| telegram | Facoltativo Stringa | Available when: type = telegram Telegram API Token |
| telegram_chat_id | Facoltativo Stringa | Available when: type = telegram Telegram Chat ID |
| microsoft_teams | Facoltativo Stringa | Available when: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Facoltativo Stringa | Available when: type = google_chat Google Chat webhook URL |
| ntfy | Facoltativo Stringa | Available when: type = ntfy ntfy topic URL |
| x_consumer_key | Facoltativo Stringa | Available when: type = x Telegram API Token |
| x_consumer_secret | Facoltativo Stringa | Available when: type = x Telegram API Token |
| x_access_token | Facoltativo Stringa | Available when: type = x Telegram API Token |
| x_access_token_secret | Facoltativo Stringa | Available when: type = x Telegram API Token |
curl --request POST \
--url 'https://app.jog690.link/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://app.jog690.link/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-11-03 20:53:56"
}
}
POST https://app.jog690.link/api/notification-handlers/{notification_handler_id}
| Parametri | Dettagli | Descrizione |
|---|---|---|
| name | Facoltativo Stringa | - |
| type | Facoltativo Stringa | Valori consentiti: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, ntfy, internal_notification |
| Facoltativo Stringa | Available when: type = email Email | |
| webhook | Facoltativo Stringa | Available when: type = webhook Webhook URL |
| slack | Facoltativo Stringa | Available when: type = slack Slack webhook URL |
| discord | Facoltativo Stringa | Available when: type = discord Discord webhook URL |
| telegram | Facoltativo Stringa | Available when: type = telegram Telegram API Token |
| telegram_chat_id | Facoltativo Stringa | Available when: type = telegram Telegram Chat ID |
| microsoft_teams | Facoltativo Stringa | Available when: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Facoltativo Stringa | Available when: type = google_chat Google Chat webhook URL |
| ntfy | Facoltativo Stringa | Available when: type = ntfy ntfy topic URL |
| x_consumer_key | Facoltativo Stringa | Available when: type = x Telegram API Token |
| x_consumer_secret | Facoltativo Stringa | Available when: type = x Telegram API Token |
| x_access_token | Facoltativo Stringa | Available when: type = x Telegram API Token |
| x_access_token_secret | Facoltativo Stringa | Available when: type = x Telegram API Token |
| is_enabled | Facoltativo Booleano | - |
curl --request POST \
--url 'https://app.jog690.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://app.jog690.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Example new name",
"settings": {
"email": "[email protected]"
},
"is_enabled": 1,
"last_datetime": "2026-11-03 20:53:56",
"datetime": "2026-11-03 20:53:56"
}
}
DELETE https://app.jog690.link/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://app.jog690.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://app.jog690.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \